# -*- coding: utf-8 -*-
"""
    ***************************************************************************
    * Plugin name:   SgmExpressionFunctions
    * Plugin type:   QGIS 3 plugin
    * Module:        Initialization
    * Description:   Add custom user functions to QGIS Field calculator. 
    * Specific lib:  None
    * First release: 2018-08-10
    * Last release:  2020-11-03
    * Copyright:     (C)2020 SIGMOE
    * Email:         em at sigmoe.fr
    * License:       GPL v3
    ***************************************************************************

    This script initializes the plugin, making it known to QGIS.
"""

def classFactory(iface):
    # load sgmExpFunctions class from file sgm_expression_functions
    from .sgm_expression_functions import sgmExpFunctions
    return sgmExpFunctions(iface)
